Bug 19677 - Angle brackets in enumchron do not display in opac or staff side
Summary: Angle brackets in enumchron do not display in opac or staff side
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-11-22 00:53 UTC by Joy Nelson
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
opac view of data inside <anglebranckets> missing (25.20 KB, image/png)
2017-11-22 00:53 UTC, Joy Nelson
Details
Bug 19677 - Properly escape enumchrom/serialseq data (3.78 KB, patch)
2017-12-18 14:51 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19677 - Properly escape enumchrom/serialseq data (3.85 KB, patch)
2018-01-16 01:34 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19677 - Properly escape enumchrom/serialseq data (3.91 KB, patch)
2018-01-17 15:14 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2017-11-22 00:53:18 UTC
Created attachment 69263 [details]
opac view of data inside <anglebranckets> missing

Libraries following the NISO standards are using <> in holdings data (normally in the 952$h enumchron field.  The data can be entered and saved in the database:

| enumchron                 |
+---------------------------+
| Volume 3. <Supplement 2a> |


But the data between the <> is not displayed on the staff side or in the OPAC.
Comment 1 Nick Clemens 2017-12-18 14:51:05 UTC
Created attachment 69850 [details] [review]
Bug 19677 - Properly escape enumchrom/serialseq data

Some serial issues use angle brackets for denoting certain data.
Currently this is not displayed in Koha. This patch escapes the data so
that angle brackets will display.

To test:
1 - Add an enumchron field to an item containg angle brackets:
"This is a <test>"
2 - View the record in the staff and opac, not the field displays as:
"This is a"
3 - Apply patch
4 - Note full text now displays
Comment 2 Charlotte Cordwell 2018-01-16 01:34:14 UTC
Created attachment 70530 [details] [review]
Bug 19677 - Properly escape enumchrom/serialseq data

Some serial issues use angle brackets for denoting certain data.
Currently this is not displayed in Koha. This patch escapes the data so
that angle brackets will display.

To test:
1 - Add an enumchron field to an item containg angle brackets:
"This is a <test>"
2 - View the record in the staff and opac, not the field displays as:
"This is a"
3 - Apply patch
4 - Note full text now displays

Signed-off-by: Charlotte Cordwell <charlotte.cordwell123@gmail.com>
Comment 3 Katrin Fischer 2018-01-16 08:42:24 UTC
Switching to Signed off - thx, Charlotte!
Comment 4 Josef Moravec 2018-01-17 15:14:40 UTC
Created attachment 70620 [details] [review]
Bug 19677 - Properly escape enumchrom/serialseq data

Some serial issues use angle brackets for denoting certain data.
Currently this is not displayed in Koha. This patch escapes the data so
that angle brackets will display.

To test:
1 - Add an enumchron field to an item containg angle brackets:
"This is a <test>"
2 - View the record in the staff and opac, not the field displays as:
"This is a"
3 - Apply patch
4 - Note full text now displays

Signed-off-by: Charlotte Cordwell <charlotte.cordwell123@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2018-01-19 18:56:07 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-01-23 04:13:16 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 7 Fridolin SOMERS 2018-01-31 08:10:51 UTC
Pushed to 17.05.x for v17.05.09